net.corda.contracts.asset

## Class Commands.Settle<P>

- net.corda.contracts.asset.Obligation.Commands.Settle<P>

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Settle<P>
      implements Obligation.Commands

  A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

  See Also:
    `interface MoveCommand`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Obligation.Commands

      `Commands.Exit<P>, Commands.Issue, Commands.Move, Commands.Net, Commands.SetLifecycle, Commands.Settle<P>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settle(Amount<net.corda.core.contracts.Issued> amount)` A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<net.corda.core.contracts.Issued>` | `component1()`
    `Commands.Settle<P>` | `copy(Amount<net.corda.core.contracts.Issued> amount)` A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.
    `boolean` | `equals(java.lang.Object p)`
    `Amount<net.corda.core.contracts.Issued>` | `getAmount()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Settle

          public Settle(Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

  - ### Method Detail

    - #### getAmount

          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### component1

          public Amount<net.corda.core.contracts.Issued> component1()

    - #### copy

          public Commands.Settle<P> copy(Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)